require 'ipaddr'


module By2
  module Utils
    def self.int32_to_ip(int32)
      IPAddr.new(int32, Socket::AF_INET).to_s
    end

    def self.ip_to_int32(ip)
      IPAddr.new(ip).to_i
    end

    def self.hex_to_ascii(hex)
      [hex].pack("H*")
    end

    def self.fdate(date)
      date.strftime("%Y-%m-%d")
    end
  end
end